# PCEisenstatNoDiagonalScaling

Causes the Eisenstat preconditioner not to do additional diagonal preconditioning. For matrices with a constant along the diagonal, this may save a small amount of work.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCEisenstatNoDiagonalScaling(PC pc)

Collective on PC

### Input Parameter

pc -the preconditioner context

### Options Database Key

-pc_eisenstat_no_diagonal_scaling -Activates PCEisenstatNoDiagonalScaling()

### Note

If you use the KPSSetDiagonalScaling() or -ksp_diagonal_scale option then you will likley want to use this routine since it will save you some unneeded flops.

### Keywords

PC, Eisenstat, use, diagonal, scaling, SSOR

### See Also

PCEisenstatSetOmega()

Level:intermediate
Location: src/ksp/pc/impls/eisens/eisen.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages